pix 515 pdm and java

Unanswered Question
Sep 1st, 2010
User Badges:

Hello,

i've got a problem to access to the pdm

i'm using :

Cisco PIX Firewall Version 6.3(1)
Cisco PIX Device Manager Version 3.0(4)
i thought that this version of pdm resolve the propblem with java version but with the last version of java 1.6.21
i've got this error message :
"java.lang.ArrayIndexOutOfBoundsException: No such child: 0"
on firefox 3.6.8 and ie8
i dont know how to resolv this problem
is there a solution ?

thanks by adavnce for your help

  • 1
  • 2
  • 3
  • 4
  • 5
Overall Rating: 0 (0 ratings)
Loading.
Kjellstrup Wed, 09/01/2010 - 04:08
User Badges:

They har major quality problems with ASDM for a long time in the same time period as your PDM was made (2005), so I assume the only "solution" is to run old, dangerously insecure java.

- not that it is a acceptable solution.

(they required specific java versions back then)

Kureli Sankar Wed, 09/01/2010 - 05:56
User Badges:
  • Cisco Employee,

Download PDM again and install it: pdm-304.bin

Give it a shot.

http://www.cisco.com/en/US/docs/security/pix/pix60/pdm10/installation/guide/upgrade.html


I would also remove the existing pdm lines.


sh run | i pdm


only add the lines that are required.


Browser requirements: http://www.cisco.com/en/US/docs/security/pix/pix60/pdm10/installation/guide/install.html#wp1036583


-KS

pascal.legrand Thu, 09/02/2010 - 00:37
User Badges:

hello,

in first thanks for your answer, but i'm not sure to understand what you told me to do.

i made the upgrade of the pdm to the 3.0.4 version.

now i would like to use a new version of java jre but it still doesnt works.

i've got always an error message.

sorry if i didnt understand your message

i'm not sure to understand what means "give it a shot"

my problem seems to be only about java but i'm not sure

thanks again

Kureli Sankar Mon, 09/20/2010 - 20:25
User Badges:
  • Cisco Employee,

What I meant was to upload the pdm file to the firewall one more time with this command


copy tftp flash:pdm


You can also try the following.


1. try a different browser

2. try a different computer

3. login as local administrator to the computer and try to launch pdm


-KS

pascal.legrand Mon, 09/20/2010 - 23:07
User Badges:

Here is what i done to make it works


PDM 3.0(4) works with JRE 1.6 update 10

PDM access works with ie8 and 1.6 update 7
The last version of firefox works jre 1.6 update 15 at least


Then i use JRE 1.6 update 7
and firefox 3.5.11

it works also with ie8


thanks

jordanmed Sun, 09/19/2010 - 08:38
User Badges:

I am not able to download that pdm file... Could you activate the link for me? I have an old PIX 515E and I cant find that download anywhere on the cisco site. Just says the file is not available. Appreciate any help. Thanks.

Actions

This Discussion